<?php

/**
 * description: main navigation
 *
 * @package Module
 * @subpackage NavigationMain
 * @version SVN Revision $Rev:$
 *
 * @author marcus.gnass@4fb.de
 * @copyright four for business AG <www.4fb.de>
 * @license http://www.contenido.org/license/LIZENZ.txt
 * @link http://www.4fb.de
 * @link http://www.contenido.org
 */

// assert framework initialization
defined('CON_FRAMEWORK') || die('Illegal call: Missing framework initialization - request aborted.');

// get client settings
$rootIdcat = getEffectiveSetting('navigation', 'idcat-home', 1);
$depth = getEffectiveSetting('navigation_main', 'depth', 3);

//Frontenduserberechtigung prüfen
//Für Admins (=FEU-Gruppe 2) müssen zwei Menüpunkte ausgeblendet werden!
$checkgroup = new cApiFrontendGroupMember();
$checkgroup->loadBy("idfrontenduser", $auth->auth["uid"]);
//print_r($checkgroup);
$accessGranted = ( $checkgroup->getField("idfrontendgroup") == "2" ) ? true : false;


// get category tree
$categoryHelper = cCategoryHelper::getInstance();
$categoryHelper->setAuth(cRegistry::getAuth());
$tree = $categoryHelper->getSubCategories($rootIdcat, $depth);

// get path (breadcrumb) of current category
$filter = function(cApiCategoryLanguage $item) {
    return $item->get('idcat');
};
$path = array_map($filter, $categoryHelper->getCategoryPath(cRegistry::getCategoryId(), 1));

//if ($auth->auth["uid"] == "nobody")  $accessGranted = false ; else $accessGranted = true;


// use template to display navigation
$tpl = cSmartyFrontend::getInstance();
$tpl->assign('accessGranted', $accessGranted);
$tpl->assign('ulId', 'nav');
$tpl->assign('ulclass', 'nav navbar-nav navi ml-auto');
$tpl->assign('subtext', $subtext);
$tpl->assign('tree', $tree);
$tpl->assign('path', $path);
$tpl->display('get.tpl');

?>